Show patches with: none      |   5349 patches
« 1 2 3 453 54 »
Patch Series A/R/T S/W/F Date Submitter Delegate State
modified proxy.cgi to make it possible that all subnets declared in "network access control" will b… modified proxy.cgi to make it possible that all subnets declared in "network access control" will b… - 1 - --- 2020-10-16 steffen.klammer@staderschulen.de Accepted
Simple Chinese language Simple Chinese language - - - --- 2019-10-07 默默 Dropped
actual system time and timezone info-bar to ipfire theme - - - --- 2015-08-13 Xaver4all Dropped
Add RAM-only Proxy functionality - Bug Report #10592 - - - --- 2015-12-28 Xaver4all Superseded
[1/2] apr and aprutil: Added as requirement for Apache 2.4 - - - --- 2017-04-23 Wolfgang Apolinarski Dropped
[2/2] Update to Apache 2.4.25 - - - --- 2017-04-23 Wolfgang Apolinarski Dropped
[v2,1/2] apr and aprutil: Added as requirement for apache 2.4 - - - --- 2017-05-18 Wolfgang Apolinarski Dropped
[v2,2/2] Update to apache 2.4.25 - - - --- 2017-05-18 Wolfgang Apolinarski Dropped
Unbound - rootfile - - - --- 2017-06-19 Wolfgang Apolinarski Accepted
[1/2] apr and aprutil: Added as requirement for apache 2.4 - - - --- 2017-08-16 Wolfgang Apolinarski Dropped
[2/2] Update to apache 2.4.27 - - - --- 2017-08-16 Wolfgang Apolinarski Dropped
[v2,1/2] apr and aprutil: Added as requirement for apache 2.4 - - - --- 2017-08-24 Wolfgang Apolinarski Accepted
[v2,2/2] Update to apache 2.4.27 - - - --- 2017-08-24 Wolfgang Apolinarski Dropped
[v3,1/2] apr and aprutil: Added as requirement for apache 2.4 [v3,1/2] apr and aprutil: Added as requirement for apache 2.4 - - - --- 2017-09-05 Wolfgang Apolinarski Dropped
[v3,2/2] Update to apache 2.4.27 [v3,1/2] apr and aprutil: Added as requirement for apache 2.4 - - - --- 2017-09-05 Wolfgang Apolinarski Dropped
Fixup for apache and aprutil, do not include whole directory Fixup for apache and aprutil, do not include whole directory - - - --- 2017-09-07 Wolfgang Apolinarski Accepted
Update to Apache 2.4.29 Update to Apache 2.4.29 - - - --- 2017-10-27 Wolfgang Apolinarski Dropped
Added DHE ciphers, updated SSL configuration Added DHE ciphers, updated SSL configuration - - - --- 2017-10-27 Wolfgang Apolinarski Dropped
[v2] Update to Apache 2.4.29 [v2] Update to Apache 2.4.29 - - - --- 2017-10-28 Wolfgang Apolinarski Dropped
Updated Apache 2.4 Updated Apache 2.4 - - - --- 2018-03-30 Wolfgang Apolinarski Dropped
[v2] Updated Apache 2.4 [v2] Updated Apache 2.4 - - - --- 2018-04-06 Wolfgang Apolinarski Accepted
[0/1] Apache: Update to 2.4.34 - - - --- 2018-07-18 Wolfgang Apolinarski None
[1/1] Apache: Update to 2.4.34 Apache: Update to 2.4.34 - - - --- 2018-07-18 Wolfgang Apolinarski Accepted
[0/1] Updated apache and apr - - - --- 2018-10-24 Wolfgang Apolinarski None
[1/1] Updated apache and apr Updated apache and apr - - - --- 2018-10-24 Wolfgang Apolinarski Dropped
[v2,0/1] Updated apache and apr - - - --- 2018-10-27 Wolfgang Apolinarski None
[v2,1/1] Updated apache and apr Updated apache and apr - - - --- 2018-10-27 Wolfgang Apolinarski Dropped
[0/1] apr to 1.6.5, apache httpd rootfile stabilization - - - --- 2019-02-04 Wolfgang Apolinarski None
[1/1] Updated apr, stabilized apache build apr to 1.6.5, apache httpd rootfile stabilization - - - --- 2019-02-04 Wolfgang Apolinarski Accepted
[0/1] Parallelized build for several packages - - - --- 2019-02-21 Wolfgang Apolinarski None
[1/1] Parallelized build for several packages Parallelized build for several packages - - - --- 2019-02-21 Wolfgang Apolinarski Dropped
[0/1] Update to APR and PCRE (apache dependencies) - - - --- 2020-03-02 Wolfgang Apolinarski None
[1/1] Update Apache Dependencies Update to APR and PCRE (apache dependencies) - 1 - --- 2020-03-02 Wolfgang Apolinarski Accepted
[1/3] libevent2: Update to 2.0.22-stable - - - --- 2015-07-07 ummeegge Accepted
[2/3] libevent2: Move from package to core system - - - --- 2015-07-07 ummeegge Accepted
[3/3] Remove all dependencies to libevent2 - - - --- 2015-07-07 ummeegge Accepted
[1/2] openvpn: Update to version 2.3.7, added --verify-x509-name directive. - - - --- 2015-07-07 ummeegge Accepted
[2/2] lzo: Update to version 2.09 - - - --- 2015-07-07 ummeegge Accepted
Selection menu for OpenVPN CA keylenght - - - --- 2016-01-06 ummeegge Dropped
Selection menu for OpenVPN CA keylenght - - - --- 2016-01-06 ummeegge Dropped
webaccess.cgi: Fixed language settings. - - - --- 2016-01-18 ummeegge Accepted
Update: To version Apache-2.4.18 and PHP-5.6-17. - - - --- 2016-03-01 ummeegge Dropped
OpenVPN: Update to version 2.3.11. - - - --- 2016-06-28 ummeegge Dropped
iftop: This is an Update release to version 1.0pre4 . - - - --- 2017-08-10 ummeegge Dropped
iftop: This is an Update release to ver. 1.0pre4 . - - - --- 2017-08-10 ummeegge Dropped
tcpick: Renewed version with several patches. tcpick: Renewed version with several patches. - - - --- 2017-09-26 ummeegge Dropped
Added language support for chpasswd.cgi Added language support for chpasswd.cgi - - - --- 2017-10-05 ummeegge Dropped
Deleted unneeded path to $swroot. Deleted unneeded path to $swroot. - - - --- 2017-10-06 ummeegge Dropped
OpenVPN: Fix for '--ns-cert-type server is deprecated' . OpenVPN: Fix for '--ns-cert-type server is deprecated' . - - - --- 2017-10-07 ummeegge Dropped
chpasswd: Use well known 'General::swroot' instead of 'swroot' . chpasswd: Use well known 'General::swroot' instead of 'swroot' . - - - --- 2017-10-07 ummeegge Dropped
OpenVPN: Fix to prevent exceedance of OpenSSLs max. validity. OpenVPN: Fix to prevent exceedance of OpenSSLs max. validity. - - - --- 2017-11-11 ummeegge Dropped
- Added "'TYPE' net" to N2N section since it can only be changed there. - Check for N2N sets days v… - Added "'TYPE' net" to N2N section since it can only be changed there. - Check for N2N sets days v… - - - --- 2017-11-13 ummeegge Dropped
LZ4: New compression library. LZ4: New compression library. - - - --- 2018-01-22 ummeegge Dropped
[v2] LZ4: New compression library. [v2] LZ4: New compression library. - - - --- 2018-01-23 ummeegge Dropped
OpenVPN: Update to version 2.4.4 . OpenVPN: Update to version 2.4.4 . - - - --- 2018-01-26 ummeegge Dropped
[v3] OpenVPN: Update to version 2.4.4 [v3] OpenVPN: Update to version 2.4.4 - - - --- 2018-01-28 ummeegge Dropped
OpenVPN: Update to version 2.4.4 OpenVPN: Update to version 2.4.4 - - - --- 2018-01-31 ummeegge Dropped
[v2] OpenVPN: Update to version 2.4.4 [v2] OpenVPN: Update to version 2.4.4 - - - --- 2018-01-31 ummeegge Dropped
CRL updater: Update script for OpenVPN CRL CRL updater: Update script for OpenVPN CRL - - - --- 2018-02-02 ummeegge Dropped
Rsyslog: New advanced syslogger [TESTING] Rsyslog: New advanced syslogger [TESTING] - - - --- 2018-02-06 ummeegge Dropped
[v2] CRL updater: Update script for OpenVPNs CRL [v2] CRL updater: Update script for OpenVPNs CRL - - - --- 2018-02-07 ummeegge Dropped
[v2] CRL updater: Update script for OpenVPNs CRL [v2] CRL updater: Update script for OpenVPNs CRL - - - --- 2018-02-08 ummeegge Accepted
OpenVPN: Mark unsecure ciphers and DH-parameter as 'weak' in WUI menu OpenVPN: Mark unsecure ciphers and DH-parameter as 'weak' in WUI menu - - - --- 2018-02-08 ummeegge Accepted
OpenVPN: Introduce new AES-GCM cipher for N2N and RW OpenVPN: Introduce new AES-GCM cipher for N2N and RW - - - --- 2018-02-14 ummeegge Dropped
[v2] OpenVPN: Introduce new AES-GCM cipher for N2N and RW [v2] OpenVPN: Introduce new AES-GCM cipher for N2N and RW - - - --- 2018-02-15 ummeegge Dropped
OpenVPN: Added needed directive for v2.4 update OpenVPN: Added needed directive for v2.4 update - - - --- 2018-02-15 ummeegge Accepted
OpenVPN: Update to version 2.4.5 OpenVPN: Update to version 2.4.5 - - - --- 2018-03-12 ummeegge Accepted
PAM: Delete old lib and symlinks PAM: Delete old lib and symlinks - - - --- 2018-03-18 ummeegge Accepted
OpenVPN: Valid til days is required with OpenVPN-2.4.x OpenVPN: Valid til days is required with OpenVPN-2.4.x - - - --- 2018-06-15 ummeegge Accepted
fping: update to 4.0 fping: update to 4.0 - - - --- 2018-06-18 ummeegge Accepted
mtr: Update to 0.92 mtr: Update to 0.92 - - - --- 2018-06-18 ummeegge Accepted
tmux: Update to 2.7 tmux: Update to 2.7 - - - --- 2018-06-18 ummeegge Accepted
ipset: Update to 6.38 ipset: Update to 6.38 - - - --- 2018-06-19 ummeegge Accepted
OpenVPN: Set default of 730 days for client certificate validity OpenVPN: Set default of 730 days for client certificate validity - - - --- 2018-06-19 ummeegge Accepted
OpenVPN: Fix upload check for root and host certificate OpenVPN: Fix upload check for root and host certificate - - - --- 2018-06-19 ummeegge Accepted
OpenVPN: Prevent that a Roadwarrior name will be set two times OpenVPN: Prevent that a Roadwarrior name will be set two times - - - --- 2018-06-19 ummeegge Accepted
backup: Exclude OpenVPNs ovpn.cnf from backup backup: Exclude OpenVPNs ovpn.cnf from backup - - - --- 2018-06-19 ummeegge Accepted
OpenVPN: Delete 1024 bit DH-parameter from menu OpenVPN: Delete 1024 bit DH-parameter from menu - - - --- 2018-06-19 ummeegge Accepted
libstatgrab: Update tp 0.91 libstatgrab: Update tp 0.91 - - - --- 2018-06-19 ummeegge Accepted
Squid: Exclude remote OpenVPN-N2N subnet from transparent proxy Squid: Exclude remote OpenVPN-N2N subnet from transparent proxy - - - --- 2018-06-19 ummeegge Dropped
squid: Exclude OpenVPN remote subnets from transparent proxy squid: Exclude OpenVPN remote subnets from transparent proxy - - - --- 2018-06-19 ummeegge Dropped
[v2] squid: Exclude OpenVPN remote subnets from transparent proxy [v2] squid: Exclude OpenVPN remote subnets from transparent proxy - - - --- 2018-06-20 ummeegge Dropped
OpenVPN: Prevent internal server error cause of bad header wrapper OpenVPN: Prevent internal server error cause of bad header wrapper - - - --- 2018-06-21 ummeegge Accepted
OpenVPN: Clarify fundamental crypto errors but also warnings in WUI OpenVPN: Clarify fundamental crypto errors but also warnings in WUI - - - --- 2018-06-21 ummeegge Accepted
hplip: Update to version 3.18.6 hplip: Update to version 3.18.6 - - - --- 2018-06-21 ummeegge Accepted
OpenVPN: Update to version 2.4.6 OpenVPN: Update to version 2.4.6 - - - --- 2018-06-21 ummeegge Accepted
[v2] OpenVPN: x509 and DH-parameter check with Warnings and error messages in WUI [v2] OpenVPN: x509 and DH-parameter check with Warnings and error messages in WUI - - - --- 2018-06-27 ummeegge Accepted
OpenVPN: Deleted mtu-disc completely since it has been dropped. OpenVPN: Deleted mtu-disc completely since it has been dropped. - - - --- 2018-07-06 ummeegge Accepted
nginx: Update to version 1.15.1 nginx: Update to version 1.15.1 - - - --- 2018-08-04 ummeegge Accepted
tor: Update to version 0.3.3.9 tor: Update to version 0.3.3.9 - - - --- 2018-08-04 ummeegge Accepted
OpenVPN: Introduce Negotiable Crypto Parameters for roadwarriors OpenVPN: Introduce Negotiable Crypto Parameters for roadwarriors - - - --- 2018-08-06 ummeegge Dropped
OpenVPN: Calculate CIDR to DDN notation for RW OpenVPN: Calculate CIDR to DDN notation for RW - - - --- 2018-12-04 ummeegge Dropped
[v2] OpenVPN: Calculate CIDR to DDN notation for RW [v2] OpenVPN: Calculate CIDR to DDN notation for RW - - - --- 2018-12-05 ummeegge Dropped
unbound: Add TFO support for unbound unbound: Add TFO support for unbound - - - --- 2018-12-14 ummeegge Accepted
sysctl.conf: Enable TFO in sysctl sysctl.conf: Enable TFO in sysctl - - - --- 2018-12-14 ummeegge Dropped
[v2] sysctl.conf: Enable TFO in sysctl [v2] sysctl.conf: Enable TFO in sysctl - - - --- 2018-12-15 ummeegge Dropped
database_attribute: Deliver/create index.txt.attr database_attribute: Deliver/create index.txt.attr - - - --- 2019-01-03 ummeegge Accepted
del_rand: Deletion of RAND file in openssl config del_rand: Deletion of RAND file in openssl config - - - --- 2019-01-09 ummeegge Accepted
OpenSSL_update: Update to version 1.1.1a OpenSSL_update: Update to version 1.1.1a - - - --- 2019-01-10 ummeegge Dropped
[v2] OpenSSL: Update to version 1.1.1a [v2] OpenSSL: Update to version 1.1.1a - - - --- 2019-01-14 ummeegge Dropped
« 1 2 3 453 54 »